## org.codehaus.groovy.runtime.dgmimpl.arrays
Class ArrayPutAtMetaMethod

    java.lang.Object
      org.codehaus.groovy.reflection.ParameterTypes
          groovy.lang.MetaMethod
              org.codehaus.groovy.runtime.callsite.CallSiteAwareMetaMethod
                  org.codehaus.groovy.runtime.dgmimpl.arrays.ArrayMetaMethod
                      org.codehaus.groovy.runtime.dgmimpl.arrays.ArrayPutAtMetaMethod

All Implemented Interfaces:
  Cloneable

Direct Known Subclasses:
  BooleanArrayPutAtMetaMethod, ByteArrayPutAtMetaMethod, CharacterArrayPutAtMetaMethod, DoubleArrayPutAtMetaMethod, FloatArrayPutAtMetaMethod, IntegerArrayPutAtMetaMethod, LongArrayPutAtMetaMethod, ObjectArrayPutAtMetaMethod, ShortArrayPutAtMetaMethod

    public abstract class ArrayPutAtMetaMethod

extends ArrayMetaMethod

Field Summary

Fields inherited from class org.codehaus.groovy.runtime.dgmimpl.arrays.ArrayMetaMethod
`INTEGER_CLASS, INTEGER_CLASS_ARR`

Fields inherited from class org.codehaus.groovy.reflection.ParameterTypes
`isVargsMethod, nativeParamTypes, parameterTypes`

Constructor Summary
`ArrayPutAtMetaMethod()`

Method Summary
`String` `getName()`
`Class` `getReturnType()`

Methods inherited from class org.codehaus.groovy.runtime.dgmimpl.arrays.ArrayMetaMethod
`getModifiers, normaliseIndex`

Methods inherited from class org.codehaus.groovy.runtime.callsite.CallSiteAwareMetaMethod
`createPojoCallSite`

Methods inherited from class groovy.lang.MetaMethod
`checkParameters, clone, doMethodInvoke, equal, equal, getDeclaringClass, getDescriptor, getMopName, getSignature, invoke, isAbstract, isCacheable, isMethod, isPrivate, isProtected, isPublic, isSame, isStatic, processDoMethodInvokeException, toString`

Methods inherited from class org.codehaus.groovy.reflection.ParameterTypes
`coerceArgumentsToClasses, correctArguments, getNativeParameterTypes, getParameterTypes, getPT, isValidExactMethod, isValidExactMethod, isValidMethod, isValidMethod, isVargsMethod, setParametersTypes`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ArrayPutAtMetaMethod

    public ArrayPutAtMetaMethod()

Method Detail

### getName

    public String getName()

  Specified by:
    `getName` in class `MetaMethod`

### getReturnType

    public Class getReturnType()

  Specified by:
    `getReturnType` in class `MetaMethod`

Copyright © 2003-2009 The Codehaus. All rights reserved.